#! /bin/sh -f
# ====================================================================
#
# OpenCCM: The Open CORBA Component Model Platform
# Copyright (C) 2000-2002 USTL - LIFL - GOAL
# Contact: openccm-team@objectweb.org
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA
#
# Initial developer(s): Philippe Merle, Mathieu Vadet.
# Contributor(s): Christophe Demarey.
#
# ====================================================================
#
#  Automatically generated environment file for using
#  the OpenCCM Platform.
#
#  Start a Java Application from an xml configuration file.
#
#  If $1 = "exec", simply run the application.
#  If $1 = "fork", run the application as a server.
#
#  Parameters :
#  - $2 represents application parameters.
#  - $3 is the file where standard output is redirected. (ex: cmd.output, cmd.ior)
#  - $4 is a file containing the Processus ID.
#
# ====================================================================

CLASSPATH=${OpenCCM_HOMEDIR}/lib/Launcher.jar:${OpenCCM_HOMEDIR}/lib/xerces.jar

OpenCCM_templates=${OpenCCM_HOMEDIR}/templates

JVM="@JDK_BINDIR@/java -Dccm.templates=${OpenCCM_templates} -classpath ${CLASSPATH}  org.objectweb.util.launcher.Launcher "

if [ "$1" = "exec" ]
then
  ${JVM} $2
elif [ "$1" = "fork" ]
then
  ${JVM} $2 > $3 &
  echo $! > $4
  while [ ! -s  $3 ]
  do
    sleep 1
  done
fi
